org.richfaces.fragment.tree

## Interface Tree

- All Known Subinterfaces:
    Tree.TreeNode
  All Known Implementing Classes:
    RichFacesTree, RichFacesTreeNode

      public interface Tree

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Tree.AdvancedTreeInteractions`
    `static interface` | `Tree.TreeNode`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree.TreeNode` | `collapseNode(ChoicePicker picker)` Collapses child node chosen by picker.
    `Tree.TreeNode` | `collapseNode(int index)` Collapses child node at index.
    `Tree.TreeNode` | `expandNode(ChoicePicker picker)` Expands child node chosen by picker.
    `Tree.TreeNode` | `expandNode(int index)` Expands child node at index.
    `Tree.TreeNode` | `selectNode(ChoicePicker picker)` Selects child node chosen by picker.
    `Tree.TreeNode` | `selectNode(int index)` Selects child node at index.

- - ### Method Detail

    - #### collapseNode

          Tree.TreeNode collapseNode(int index)

      Collapses child node at index.
      Parameters:
        `index` - index of node
      Returns:
        collapsed node

    - #### collapseNode

          Tree.TreeNode collapseNode(ChoicePicker picker)

      Collapses child node chosen by picker.
      Parameters:
        `picker` - object for defining rules according which the child node will be picked and collapsed
      Returns:
        collapsed node

    - #### expandNode

          Tree.TreeNode expandNode(int index)

      Expands child node at index.
      Parameters:
        `index` - index of node
      Returns:
        expanded node

    - #### expandNode

          Tree.TreeNode expandNode(ChoicePicker picker)

      Expands child node chosen by picker.
      Parameters:
        `picker` - object for defining rules according which the child node will be picked and expanded
      Returns:
        expanded node

    - #### selectNode

          Tree.TreeNode selectNode(int index)

      Selects child node at index.
      Parameters:
        `index` - index of node
      Returns:
        selected node

    - #### selectNode

          Tree.TreeNode selectNode(ChoicePicker picker)

      Selects child node chosen by picker.
      Parameters:
        `picker` - object for defining rules according which the child node will be picked and selected
      Returns:
        selected node

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.